clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions | Variables
UseDefaultCheck.cpp File Reference
`#include "UseDefaultCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for UseDefaultCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
static SourceLocation | clang::tidy::modernize::getColonLoc (const ASTContext *Context, const CXXConstructorDecl *Ctor)
| Finds the SourceLocation of the colon ':' before the initialization list in the definition of a constructor. More...
static std::set< const FieldDecl * > | clang::tidy::modernize::getAllNamedFields (const CXXRecordDecl *Record)
| Finds all the named non-static fields of `Record`. More...
static std::set< const Type * > | clang::tidy::modernize::getAllDirectBases (const CXXRecordDecl *Record)
| Returns the names of the direct bases of `Record`, both virtual and non-virtual. More...
internal::Matcher< Expr > | clang::tidy::modernize::accessToFieldInVar (const FieldDecl *Field, const ValueDecl *Var)
| Returns a matcher that matches member expressions where the base is the variable declared as `Var` and the accessed member is the one declared as `Field`. More...
static bool | clang::tidy::modernize::isCopyConstructorAndCanBeDefaulted (ASTContext *Context, const CXXConstructorDecl *Ctor)
| Check that the given constructor has copy signature and that it copy-initializes all its bases and members. More...
static bool | clang::tidy::modernize::isCopyAssignmentAndCanBeDefaulted (ASTContext *Context, const CXXMethodDecl *Operator)
| Checks that the given method is an overloading of the assignment operator, has copy signature, returns a reference to "*this" and copies all its members and subobjects. More...
static bool | clang::tidy::modernize::bodyEmpty (const ASTContext *Context, const CompoundStmt *Body)
| Returns false if the body has any non-whitespace character. More...

## Variables
static const char | clang::tidy::modernize::SpecialFunction [] = "SpecialFunction"